export function debounce(func: any, wait: any, immediate: any): (...args: any[]) => void;
export namespace METRICS {
    export const AFFINITY: string;
    export const REACH: string;
    export const BASE: string;
    export const PENETRATION: string;
    export const RELEVANCY: string;
}
export namespace MAP_CHART_FIELDS_THRESHOLD {
    export const target_audience_affinity: number;
    export const base_population_perc: number;
    export const target_audience_population_perc: number;
    export const target_audience_perc: number;
    export const relevancy: number;
    export const penetration: number;
}
export function isReach(metric: any): boolean;
export function numberWithCommas(number: any): any;
export namespace MAP_CHART_FIELDS_LABEL {
    const target_audience_affinity_1: string;
    export { target_audience_affinity_1 as target_audience_affinity };
    const base_population_perc_1: string;
    export { base_population_perc_1 as base_population_perc };
    const target_audience_population_perc_1: string;
    export { target_audience_population_perc_1 as target_audience_population_perc };
    const target_audience_perc_1: string;
    export { target_audience_perc_1 as target_audience_perc };
    const penetration_1: string;
    export { penetration_1 as penetration };
    const relevancy_1: string;
    export { relevancy_1 as relevancy };
}
export const DEFAULT_COLORS: string[];
export const DEFAULT_OPAC_COLORS: string[];
export const MAP_DEFAULT_COLORS: string[];
export const MAP_DEFAULT_OPAC_COLORS: string[];
export function convertHexToHSL(color: any, saturation: any, lightness: any): string;
export function getColors(color: any): string[];
export function getMapColors(color: any): string[];
export function getBarColors(value: any, threshold: any, color: any): string;
